Get a file
curl --request GET \
--url https://api.attio.com/v2/files/{file_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.attio.com/v2/files/{file_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.attio.com/v2/files/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"file_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
},
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"object_slug": "people",
"record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b",
"storage_provider": "attio",
"created_by_actor": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
},
"created_at": "2023-01-01T15:00:00.000000000Z",
"file_type": "file",
"name": "document.pdf",
"content_type": "application/pdf",
"content_size": 1024,
"parent_folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "File with ID \"a1b2c3d4-e5f6-7890-abcd-ef1234567890\" was not found."
}Files
Get a file
Get a single file entry by ID.
This endpoint is in beta. We will aim to avoid breaking changes, but small updates may be made as we roll out to more users.
Required scopes: file:read, object_configuration:read, record_permission:read.
GET
/
v2
/
files
/
{file_id}
Get a file
Authorizations
This API uses OAuth 2.0 with the authorization code grant flow.
Path Parameters
A UUID which identifies the file entry.
Example:
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Response
Success
Success
- File
- Folder
- Connected File
- Connected Folder
Show child attributes
Show child attributes
Was this page helpful?
⌘I